Bug 8305 - Add an icon for iOS home screens
Summary: Add an icon for iOS home screens
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Isobel Graham
QA Contact:
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2012-06-25 11:22 UTC by Magnus Enger
Modified: 2022-11-01 22:31 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 8305: Added an icon for iOS home screen (1.39 KB, patch)
2022-09-01 10:16 UTC, Isobel Graham
Details | Diff | Splinter Review
Bug 8305: Added an icon for iOS home screen (1.44 KB, patch)
2022-09-08 13:03 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 8305: Added an icon for iOS home screen (1.50 KB, patch)
2022-09-23 18:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2012-06-25 11:22:15 UTC
Currently if you bookmark the Koha OPAC on a device like the iPad by adding it to your "home" screen, you get an icon that is a tiny screenshot of the page you bookmarked - not very pretty. 

Specifying a pretty icon is as simple as this: 
<link rel="apple-touch-icon" href="/custom_icon.png"/>

And of course we have to add the actual icon. 

Despite the name, this is supposed to work for e.g. Android-based devices, not just Apple devices. 

It might be a good idea to have one icon for the OPAC and one for the intranet, like we do with the favicons. 

Docs: 

- http://developer.apple.com/library/ios/#DOCUMENTATION/AppleApplications/Reference/SafariWebContent/ConfiguringWebApplications/ConfiguringWebApplications.html

- http://mathiasbynens.be/notes/touch-icons
Comment 1 Owen Leonard 2012-07-09 15:50:30 UTC
This is a nice idea. I think in order to properly fix this bug we should also introduce new system preferences allowing libraries to specify a path to a custom icon (like OpacFavicon/IntranetFavicon).
Comment 2 Magnus Enger 2012-07-17 08:52:47 UTC
(In reply to comment #1)
> This is a nice idea. I think in order to properly fix this bug we should
> also introduce new system preferences allowing libraries to specify a path
> to a custom icon (like OpacFavicon/IntranetFavicon).

Yeah, I was trhinking along the same lines. But I won't be able to take a shot at it for some time, so if anyone feels inspired, please don't hesitate to beat me to it! ;-)
Comment 3 Marcel de Rooy 2020-10-15 08:51:08 UTC
(In reply to Magnus Enger from comment #2)
> (In reply to comment #1)
> Yeah, I was trhinking along the same lines. But I won't be able to take a
> shot at it for some time, so if anyone feels inspired, please don't hesitate
> to beat me to it! ;-)

No one did so far, Magnus :)
Comment 4 Marcel de Rooy 2020-10-15 08:51:29 UTC
Looks like this is still actual. Safari gets a 404 on favicon. It does not look at our regular link rel icon line.
Couldnt we just add a link rel apple touch line and point them to our regular favicons ? Or is that too simple ?
Comment 5 David Cook 2022-08-22 06:34:35 UTC
(In reply to Marcel de Rooy from comment #4)
> Looks like this is still actual. Safari gets a 404 on favicon. It does not
> look at our regular link rel icon line.
> Couldnt we just add a link rel apple touch line and point them to our
> regular favicons ? Or is that too simple ?

As I was reading through the comments, I was thinking that makes sense.
Comment 6 Isobel Graham 2022-09-01 10:16:09 UTC
Created attachment 140034 [details] [review]
Bug 8305: Added an icon for iOS home screen

1. Bookmark the Koha OPAC on an iOS device
2. See if an icon is formed on the home screen
   of the device
Comment 7 Peter Vashchuk 2022-09-08 13:03:06 UTC
Created attachment 140340 [details] [review]
Bug 8305: Added an icon for iOS home screen

1. Bookmark the Koha OPAC on an iOS device
2. See if an icon is formed on the home screen
   of the device

Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Comment 8 Kyle M Hall 2022-09-23 18:46:54 UTC
Created attachment 140962 [details] [review]
Bug 8305: Added an icon for iOS home screen

1. Bookmark the Koha OPAC on an iOS device
2. See if an icon is formed on the home screen
   of the device

Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Tomás Cohen Arazi 2022-09-26 13:54:29 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!